Retrieve a connection

This method retrieves details about the specified connection.

Authentication

x-api-keystring
Your API key. <Note title="Note"> You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page. </Note>

Path parameters

connection_idstringRequired
The unique identifier of the connection to retrieve.

Response

The connection has been successfully retrieved.
_idstring
The unique identifier of the connection.
providerenum
The data connector provider.
statusenum

The status of the connection. See The connection object for the possible values.

custom_idstring

The label you supplied when creating the connection. The platform does not interpret this value, and it does not need to be unique. Multiple connections can share the same custom_id value.

accountobject
Information about the connected provider account.
scopeslist of strings
The scopes granted to the connection.
connected_atstringformat: "date-time"

The date and time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the connection was established.

last_used_atstringformat: "date-time"

The date and time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the connection was last used.

Errors

400
Bad Request Error
404
Not Found Error